﻿/* Margin and Padding helpers */

/* Padding relative */
.padding-xs {
    padding: .25em;
}

.padding-sm {
    padding: .5em;
}

.padding-md {
    padding: 1em;
}

.padding-lg {
    padding: 1.5em;
}

.padding-xl {
    padding: 3em;
}

.padding-x-xs {
    padding: .25em 0;
}

.padding-x-sm {
    padding: .5em 0;
}

.padding-x-md {
    padding: 1em 0;
}

.padding-x-lg {
    padding: 1.5em 0;
}

.padding-x-xl {
    padding: 3em 0;
}

.padding-y-xs {
    padding: 0 .25em;
}

.padding-y-sm {
    padding: 0 .5em;
}

.padding-y-md {
    padding: 0 1em;
}

.padding-y-lg {
    padding: 0 1.5em;
}

.padding-y-xl {
    padding: 0 3em;
}

.padding-top-xs {
    padding-top: .25em;
}

.padding-top-sm {
    padding-top: .5em;
}

.padding-top-md {
    padding-top: 1em;
}

.padding-top-lg {
    padding-top: 1.5em;
}

.padding-top-xl {
    padding-top: 3em;
}

.padding-right-xs {
    padding-right: .25em;
}

.padding-right-sm {
    padding-right: .5em;
}

.padding-right-md {
    padding-right: 1em;
}

.padding-right-lg {
    padding-right: 1.5em;
}

.padding-right-xl {
    padding-right: 3em;
}

.padding-bottom-xs {
    padding-bottom: .25em;
}

.padding-bottom-sm {
    padding-bottom: .5em;
}

.padding-bottom-md {
    padding-bottom: 1em;
}

.padding-bottom-lg {
    padding-bottom: 1.5em;
}

.padding-bottom-xl {
    padding-bottom: 3em;
}

.padding-left-xs {
    padding-left: .25em;
}

.padding-left-sm {
    padding-left: .5em;
}

.padding-left-md {
    padding-left: 1em;
}

.padding-left-lg {
    padding-left: 1.5em;
}

.padding-left-xl {
    padding-left: 3em;
}

.padding-x-xs {
    padding: 0 .25em;
}

.padding-x-sm {
    padding: 0 .5em;
}

.padding-x-md {
    padding: 0 1em;
}

.padding-x-lg {
    padding: 0 1.5em;
}

.padding-x-xl {
    padding: 0 3em;
}

.padding-y-xs {
    padding: .25em 0;
}

.padding-y-sm {
    padding: .5em 0;
}

.padding-y-md {
    padding: 1em 0;
}

.padding-y-lg {
    padding: 1.5em 0;
}

.padding-y-xl {
    padding: 3em 0;
}

/* Padding absolute */
.padding-0 {
    padding: 0 !important;
}

.padding-10 {
    padding: 10px !important;
}

.padding-25 {
    padding: 25px !important;
}

.padding-35 {
    padding: 35px 35px !important;
}

.padding-left-0 {
    padding-left: 0 !important;
}

.padding-left-10 {
    padding-left: 10px !important;
}

.padding-left-15 {
    padding-left: 15px !important;
}

.padding-left-20 {
    padding-left: 20px !important;
}

.padding-left-30 {
    padding-left: 30px !important;
}

.padding-left-40 {
    padding-left: 40px !important;
}

.padding-left-50 {
    padding-left: 50px !important;
}

.padding-left-75 {
    padding-left: 75px !important;
}

.padding-left-100 {
    padding-left: 100px !important;
}

.padding-right-0 {
    padding-right: 0 !important;
}

.padding-right-10 {
    padding-right: 10px !important;
}

.padding-right-15 {
    padding-right: 15px !important;
}

.padding-right-20 {
    padding-right: 20px !important;
}

.padding-right-30 {
    padding-right: 30px !important;
}

.padding-right-40 {
    padding-right: 40px !important;
}

.padding-right-50 {
    padding-right: 50px !important;
}

.padding-right-75 {
    padding-right: 75px !important;
}

.padding-right-100 {
    padding-right: 100px !important;
}

.padding-top-5 {
    padding-top: 5px !important;
}

.padding-top-10 {
    padding-top: 10px !important;
}

.padding-top-15 {
    padding-top: 15px !important;
}

.padding-top-20 {
    padding-top: 20px !important;
}

.padding-top-25 {
    padding-top: 25px !important;
}

.padding-top-30 {
    padding-top: 30px !important;
}

.padding-top-40 {
    padding-top: 40px !important;
}

.padding-top-50 {
    padding-top: 50px !important;
}

.padding-top-60 {
    padding-top: 60px !important;
}

.padding-top-75 {
    padding-top: 75px !important;
}

.padding-top-100 {
    padding-top: 100px !important;
}

.padding-bottom-5 {
    padding-bottom: 5px !important;
}

.padding-bottom-10 {
    padding-bottom: 10px !important;
}

.padding-bottom-15 {
    padding-bottom: 15px !important;
}

.padding-bottom-20 {
    padding-bottom: 20px !important;
}

.padding-bottom-25 {
    padding-bottom: 25px !important;
}

.padding-bottom-30 {
    padding-bottom: 30px !important;
}

.padding-bottom-40 {
    padding-bottom: 40px !important;
}

.padding-bottom-50 {
    padding-bottom: 50px !important;
}

.padding-bottom-60 {
    padding-bottom: 60px !important;
}

.padding-bottom-75 {
    padding-bottom: 75px !important;
}

.padding-bottom-100 {
    padding-bottom: 100px !important;
}

/* margin relative */
.margin-xs {
    margin: .25em;
}

.margin-sm {
    margin: .5em;
}

.margin-md {
    margin: 1em;
}

.margin-lg {
    margin: 1.5em;
}

.margin-xl {
    margin: 3em;
}

.margin-x-xs {
    margin: .25em 0;
}

.margin-x-sm {
    margin: .5em 0;
}

.margin-x-md {
    margin: 1em 0;
}

.margin-x-lg {
    margin: 1.5em 0;
}

.margin-x-xl {
    margin: 3em 0;
}

.margin-y-xs {
    margin: 0 .25em;
}

.margin-y-sm {
    margin: 0 .5em;
}

.margin-y-md {
    margin: 0 1em;
}

.margin-y-lg {
    margin: 0 1.5em;
}

.margin-y-xl {
    margin: 0 3em;
}

.margin-top-xs {
    margin-top: .25em;
}

.margin-top-sm {
    margin-top: .5em;
}

.margin-top-md {
    margin-top: 1em;
}

.margin-top-lg {
    margin-top: 1.5em;
}

.margin-top-xl {
    margin-top: 3em;
}

.margin-right-xs {
    margin-right: .25em;
}

.margin-right-sm {
    margin-right: .5em;
}

.margin-right-md {
    margin-right: 1em;
}

.margin-right-lg {
    margin-right: 1.5em;
}

.margin-right-xl {
    margin-right: 3em;
}

.margin-bottom-xs {
    margin-bottom: .25em;
}

.margin-bottom-sm {
    margin-bottom: .5em;
}

.margin-bottom-md {
    margin-bottom: 1em;
}

.margin-bottom-lg {
    margin-bottom: 1.5em;
}

.margin-bottom-xl {
    margin-bottom: 3em;
}

.margin-left-xs {
    margin-left: .25em;
}

.margin-left-sm {
    margin-left: .5em;
}

.margin-left-md {
    margin-left: 1em;
}

.margin-left-lg {
    margin-left: 1.5em;
}

.margin-left-xl {
    margin-left: 3em;
}

.margin-x-xs {
    margin: 0 .25em;
}

.margin-x-sm {
    margin: 0 .5em;
}

.margin-x-md {
    margin: 0 1em;
}

.margin-x-lg {
    margin: 0 1.5em;
}

.margin-x-xl {
    margin: 0 3em;
}

.margin-y-xs {
    margin: .25em 0;
}

.margin-y-sm {
    margin: .5em 0;
}

.margin-y-md {
    margin: 1em 0;
}

.margin-y-lg {
    margin: 1.5em 0;
}

.margin-y-xl {
    margin: 3em 0;
}

/* margin absolute */
.margin-0 {
    margin: 0 !important;
}

.margin-10px {
    margin: 10px !important;
}

.margin-top-5 {
    margin-top: 5px !important;
}

.margin-top-10 {
    margin-top: 10px !important;
}

.margin-top-15 {
    margin-top: 15px !important;
}

.margin-top-20 {
    margin-top: 20px !important;
}

.margin-top-25 {
    margin-top: 25px !important;
}

.margin-top-30 {
    margin-top: 30px !important;
}

.margin-top-40 {
    margin-top: 40px !important;
}

.margin-top-50 {
    margin-top: 50px !important;
}

.margin-top-100 {
    margin-top: 100px !important;
}

.margin-top-120 {
    margin-top: 120px !important;
}

.margin-bottom-5 {
    margin-bottom: 5px !important;
}

.margin-bottom-10 {
    margin-bottom: 10px !important;
}

.margin-bottom-15 {
    margin-bottom: 15px !important;
}

.margin-bottom-20 {
    margin-bottom: 20px !important;
}

.margin-bottom-25 {
    margin-bottom: 25px !important;
}

.margin-bottom-30 {
    margin-bottom: 30px !important;
}

.margin-bottom-40 {
    margin-bottom: 40px !important;
}

.margin-bottom-50 {
    margin-bottom: 50px !important;
}

.margin-bottom-60 {
    margin-bottom: 60px !important;
}

.margin-bottom-75 {
    margin-bottom: 75px !important;
}

.margin-bottom-100 {
    margin-bottom: 100px !important;
}

.margin-left-5 {
    margin-left: 5px !important;
}

.margin-left-10 {
    margin-left: 10px !important;
}

.margin-left-15 {
    margin-left: 15px !important;
}

.margin-left-20 {
    margin-left: 20px !important;
}

.margin-left-25 {
    margin-left: 25px !important;
}

.margin-left-30 {
    margin-left: 30px !important;
}

.margin-left-40 {
    margin-left: 40px !important;
}

.margin-left-50 {
    margin-left: 50px !important;
}

.margin-right-5 {
    margin-right: 5px !important;
}

.margin-right-10 {
    margin-right: 10px !important;
}

.margin-right-15 {
    margin-right: 15px !important;
}

.margin-right-20 {
    margin-right: 20px !important;
}

.margin-right-25 {
    margin-right: 25px !important;
}

.margin-right-30 {
    margin-right: 30px !important;
}

.margin-right-40 {
    margin-right: 40px !important;
}

.margin-right-50 {
    margin-right: 50px !important;
}

/* Position absolute */
.top-5 {
    top: 5px !important;
}

.top-10 {
    top: 10px !important;
}

.top-15 {
    top: 15px !important;
}

.top-20 {
    top: 20px !important;
}

.top-25 {
    top: 25px !important;
}

.top-30 {
    top: 30px !important;
}

.top-40 {
    top: 40px !important;
}

.top-50 {
    top: 50px !important;
}

.bottom-5 {
    bottom: 5px !important;
}

.bottom-10 {
    bottom: 10px !important;
}

.bottom-15 {
    bottom: 15px !important;
}

.bottom-20 {
    bottom: 20px !important;
}

.bottom-25 {
    bottom: 25px !important;
}

.bottom-30 {
    bottom: 30px !important;
}

.bottom-40 {
    bottom: 40px !important;
}

.bottom-50 {
    bottom: 50px !important;
}

.left-5 {
    left: 5px !important;
}

.left-10 {
    left: 10px !important;
}

.left-15 {
    left: 15px !important;
}

.left-20 {
    left: 20px !important;
}

.left-25 {
    left: 25px !important;
}

.left-30 {
    left: 30px !important;
}

.left-40 {
    left: 40px !important;
}

.left-50 {
    left: 50px !important;
}

.right-5 {
    right: 5px !important;
}

.right-10 {
    right: 10px !important;
}

.right-15 {
    right: 15px !important;
}

.right-20 {
    right: 20px !important;
}

.right-25 {
    right: 25px !important;
}

.right-30 {
    right: 30px !important;
}

.right-40 {
    right: 40px !important;
}

.right-50 {
    right: 50px !important;
}

